NotFoundReason (Java Platform SE 8 )
Keywords: org.omg.CosNaming.NamingContextPackage.NotFoundReason class
Date: 2018-07-01

org.omg.CosNaming.NamingContextPackage

## Class NotFoundReason

- java.lang.Object
- - org.omg.CosNaming.NamingContextPackage.NotFoundReason

- All Implemented Interfaces:
    Serializable, IDLEntity

      public class NotFoundReason
      extends Object
      implements IDLEntity

  Indicates the reason for not able to resolve.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_missing_node`
    `static int` | `_not_context`
    `static int` | `_not_object`
    `static NotFoundReason` | `missing_node`
    `static NotFoundReason` | `not_context`
    `static NotFoundReason` | `not_object`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NotFoundReason(int value)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NotFoundReason` | `from_int(int value)`
    `int` | `value()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _missing_node

          public static final int _missing_node

      See Also:
        Constant Field Values

    - #### missing_node

          public static final NotFoundReason missing_node

    - #### _not_context

          public static final int _not_context

      See Also:
        Constant Field Values

    - #### not_context

          public static final NotFoundReason not_context

    - #### _not_object

          public static final int _not_object

      See Also:
        Constant Field Values

    - #### not_object

          public static final NotFoundReason not_object

  - ### Constructor Detail

    - #### NotFoundReason

          protected NotFoundReason(int value)

  - ### Method Detail

    - #### value

          public int value()

    - #### from_int

          public static NotFoundReason from_int(int value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.